XmVaCreateDrawingArea(3)

NAME
XmVaCreateDrawingArea, XmVaCreateManagedDrawingArea — A DrawingArea widget convenience creation functions.

SYNOPSIS

#include <Xm/DrawingA.h>

Widget XmVaCreateDrawingArea(
Widget parent,
String name,
...);

Widget XmVaCreateManagedDrawingArea(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a DrawingArea widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateDrawingArea function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedDrawingArea function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of DrawingArea and its associated resources, see XmDrawingArea(3).

RETURN

Returns the DrawingArea widget ID.

RELATED

XmDrawingArea(3), XmCreateDrawingArea(3), XtCreateWidget(3), and XtCreateManagedWidget(3).